#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	TEA
Summary:	Crypt::TEA Perl module - Tiny Encryption Algorithm
Summary(pl.UTF-8):	Moduł Perla Crypt::TEA - Tiny Encryption Algorithm
Name:		perl-Crypt-TEA
Version:	1.25
Release:	8
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6e53511e455724b40007e4f2c0050270
URL:		http://search.cpan.org/dist/Crypt-TEA/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements TEA (Tiny Encryption Algorithm) encryption. It
supports the Crypt::CBC interface. TEA is a 64-bit symmetric block
cipher with a 128-bit key and a variable number of rounds (32 is
recommended). It has a low setup time, and depends on a large number
of rounds for security, rather than a complex algorithm. It was
developed by David J. Wheeler and Roger M. Needham, and is described
at <http://www.ftp.cl.cam.ac.uk/ftp/papers/djw-rmn/djw-rmn-tea.html>.

%description -l pl.UTF-8
Ten moduł jest implementacją szyfrowania TEA (Tiny Encryption
Algorithm - niewielki algorytm szyfrowania). Obsługuje interfejs
Crypt::CBC. TEA jest 64-bitowym symetrycznym szyfrem blokowym ze
128-bitowym kluczem i zmienną liczbą kroków (zaleca się 32). Wymaga
mało czasu do uruchomienia i dla zapewnienia bezpieczeństwa polega na
dużej liczbie kroków, a nie skomplikowanym algorytmie. TEA został
opracowany przez Davida J. Wheelera i Rogera M. Needhama, a jego opis
można znaleźć pod adresem:
<http://www.ftp.cl.cam.ac.uk/ftp/papers/djw-rmn/djw-rmn-tea.html>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/TEA.pm
%dir %{perl_vendorarch}/auto/Crypt/TEA
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/TEA/*.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-TEA.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b7325c5
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1e91c97
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c828cc5
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 51dfe73
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a2e16bc
- release 5

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> fccdac6
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4aa198b
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 44f957f
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 71e3766
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 482b602
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> d995a17
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> b1a14e0
- spelling fix

* Sat Jun 05 2004 radek <radek@pld-linux.org> 936e364
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> e0684d7
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 9aa53b6
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> ff83108
- cosmetics

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 02aa9c0
- new bconds

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> dfe0504
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 96027fb
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> ab9a6a5
- massive attack s/pld.org.pl/pld-linux.org/

